petsc-3.4.2 2013-07-02

# PetscViewerSetType

Builds PetscViewer for a particular implementation.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetType(PetscViewer viewer,PetscViewerType type)

Collective on PetscViewer

### Input Parameter

| viewer | - the PetscViewer context
| type | - for example, PETSCVIEWERASCII

### Options Database Command

-draw_type <type> -Sets the type; use -help for a list of available methods (for instance, ascii)

### Notes

See "include/petscviewer.h" for available methods (for instance, PETSCVIEWERSOCKET)

### See Also

PetscViewerCreate(), PetscViewerGetType(), PetscViewerType, PetscViewerSetFormat()

Level:advanced
Location:src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html